
D4Science Infrastructure - Task #11515

Remove previous jar version from dataminer-algorithms-importer tar

Mar 23, 2018 03:43 PM - Roberto Cirillo

Status: Closed Start date: Mar 23, 2018

Priority: High Due date:  

Assignee: Gianpaolo Coro % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: DataMiner - Configuration   

Infrastructure: Development, Pre-Production,

Production

  

Description

I've notice that the latest dataminer-algorithms-importer tar file uploaded on nexus with version 1.2.1-SNAPSHOT, contains the

dataminer-algorithms-importer jar with version 1.2.1-SNAPSHOT and three dataminer-algorithms-importer jar with version

1.2.0-SNAPSHOT:

rcirillo@rcirillo-cnr:~/Downloads/algorithmInstaller$ ls

addAlgorithm.sh

algorithmTemplate

dataminer-algorithms-importer-1.2.0-SNAPSHOT-javadoc.jar

dataminer-algorithms-importer-1.2.0-SNAPSHOT-sources.jar

dataminer-algorithms-importer-1.2.0-SNAPSHOT.jar

dataminer-algorithms-importer-1.2.1-SNAPSHOT.jar

 I think it could be a potential issue if the classloader loads first the jar with the oldest version when the tar file will be deployed.

Please, could you remove the oldest jar version from the tar file?

Related issues:

Related to D4Science Infrastructure - Task #11513: Dataminer - Update playbook Closed Mar 23, 2018

History

#1 - Mar 23, 2018 03:44 PM - Roberto Cirillo

- Related to Task #11513: Dataminer - Update playbook added

#2 - Mar 27, 2018 02:49 PM - Roberto Cirillo

any update?

#4 - Mar 27, 2018 04:38 PM - Roberto Cirillo

For the moment, I've removed manually the old jars in order to test the SAI portlet

#7 - Mar 27, 2018 07:16 PM - Gianpaolo Coro

The dataminer-algorithms-importer-1.2.1-SNAPSHOT.tar.gz package contains only version 1.2.1. I missed to update this ticket some days ago. If you

run the ansible script again everything should work and we will be sure to have the latest version of the installer.

#8 - Mar 28, 2018 10:28 AM - Roberto Cirillo

- Status changed from New to Closed

- % Done changed from 0 to 100

I've run the playbook and it works properly: the new tar file is correctly downloaded and installed. I'm going to close this ticket.
